| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Functions
sttype-op.h File Reference
`#include "syntax-tree.h"`

Go to the source code of this file.

## Functions
void | sttype_oper_set1 (stnode_t *node, stnode_op_t op, stnode_t *val1)
| Set a unary operation on a node.
void | sttype_oper_set2 (stnode_t *node, stnode_op_t op, stnode_t *val1, stnode_t *val2)
| Set a binary operation on a node.
void | sttype_oper_set1_args (stnode_t *node, stnode_t *val1)
| Set the first argument for an operator node.
void | sttype_oper_set2_args (stnode_t *node, stnode_t *val1, stnode_t *val2)
| Set two arguments for an operator node.
void | sttype_oper_set_op (stnode_t *node, stnode_op_t op)
| Set the operator for a given node.
stnode_op_t | sttype_oper_get_op (stnode_t *node)
| Get the operation type from a stnode_t.
WS_DLL_PUBLIC void | sttype_oper_get (stnode_t *node, stnode_op_t *p_op, stnode_t **p_val1, stnode_t **p_val2)
| Retrieves the operation and values from a stnode_t.
void | sttype_test_set_match (stnode_t *node, stmatch_t how)
| Set the matching behavior for a node.
stmatch_t | sttype_test_get_match (stnode_t *node)
| Retrieves the match type for a given operation node.

## Detailed Description

Wireshark - Network traffic analyzer By Gerald Combs geral.nosp@m.d@wi.nosp@m.resha.nosp@m.rk.o.nosp@m.rg Copyright 2001 Gerald Combs

SPDX-License-Identifier: GPL-2.0-or-later

## Function Documentation

## ◆ sttype_oper_get()

WS_DLL_PUBLIC void sttype_oper_get | ( | stnode_t * | node,
|  | stnode_op_t * | p_op,
|  | stnode_t ** | p_val1,
|  | stnode_t ** | p_val2
| ) |  |

Retrieves the operation and values from a stnode_t.

Parameters

  node | The stnode_t to retrieve data from.
  p_op | Pointer to store the operation type, or NULL if not needed.
  p_val1 | Pointer to store the first value, or NULL if not needed.
  p_val2 | Pointer to store the second value, or NULL if not needed.

## ◆ sttype_oper_get_op()

stnode_op_t sttype_oper_get_op | ( | stnode_t * | node | ) |

Get the operation type from a stnode_t.

Parameters

  node | Pointer to the stnode_t structure.

Returns
  The operation type of the node.

## ◆ sttype_oper_set1()

void sttype_oper_set1 | ( | stnode_t * | node,
|  | stnode_op_t | op,
|  | stnode_t * | val1
| ) |  |

Set a unary operation on a node.

Parameters

  node | The node to set the operation on.
  op | The operation to set.
  val1 | The first value for the operation.

## ◆ sttype_oper_set1_args()

void sttype_oper_set1_args | ( | stnode_t * | node,
|  | stnode_t * | val1
| ) |  |

Set the first argument for an operator node.

Parameters

  node | The operator node to modify.
  val1 | The new value for the first argument.

## ◆ sttype_oper_set2()

void sttype_oper_set2 | ( | stnode_t * | node,
|  | stnode_op_t | op,
|  | stnode_t * | val1,
|  | stnode_t * | val2
| ) |  |

Set a binary operation on a node.

Parameters

  node | The node to set the operation on.
  op | The operation to set.
  val1 | The first value for the operation.
  val2 | The second value for the operation.

## ◆ sttype_oper_set2_args()

void sttype_oper_set2_args | ( | stnode_t * | node,
|  | stnode_t * | val1,
|  | stnode_t * | val2
| ) |  |

Set two arguments for an operator node.

Parameters

  node | The syntax tree node to set.
  val1 | The first operand.
  val2 | The second operand.

## ◆ sttype_oper_set_op()

void sttype_oper_set_op | ( | stnode_t * | node,
|  | stnode_op_t | op
| ) |  |

Set the operator for a given node.

Parameters

  node | The operator node to modify.
  op | The new operator value.

## ◆ sttype_test_get_match()

stmatch_t sttype_test_get_match | ( | stnode_t * | node | ) |

Retrieves the match type for a given operation node.

Parameters

  node | Pointer to the operation node.

Returns
  The match type of the operation.

## ◆ sttype_test_set_match()

void sttype_test_set_match | ( | stnode_t * | node,
|  | stmatch_t | how
| ) |  |

Set the matching behavior for a node.

Parameters

  node | Pointer to the node whose matching behavior is to be set.
  how | The new matching behavior to set.